/**
 * Person Class
 * Author: Dr. Manal Helal
 * Course: CS243 - Object Oriented Programming
 * Date: 29 December 2013
 * Revision 1
 * 
 * Simple File Manager for a small application to manage a school.
 * 
 * */


import java.util.Date;


public abstract class Person implements Utilizable {
	private String FName, MI, LName;
	private String Phone, Mobile, Fax, Email;
	private String Address;
	
	Person (String FName, String MI, String LName, String Phone, String Mobile, 
			String Fax, String Email, String Address) {

		this.FName = FName;
		this.MI = MI;
		this.LName = LName;
		this.Phone = Phone;
		this.Mobile = Mobile;
		this.Fax = Fax;
		this.Email = Email;
		this.Address = Address;
	}
	
	public void setFName (String FName) {
		this.FName = FName;
	}
	public void setMI (String MI) {
		this.MI = MI;
	}
	public void setLName (String LName) {
		this.LName = LName;
	}
	public void setPhone (String Phone) {
		this.Phone = Phone;
	}
	public void setMobile (String Mobile) {
		this.Mobile = Mobile;
	}
	public void setFax (String Fax) {
		this.Fax = Fax;
	}
	public void setEmail (String Email) {
		this.Email = Email;
	}
	public void setAddress (String Address) {
		this.Address = Address;
	}

	public String getFName () {
		return this.FName;
	}
	public String getMI () {
		return this.MI;
	}
	public String getLName () {
		return this.LName;
	}
	public String getPhone () {
		return this.Phone;
	}
	public String getMobile () {
		return this.Mobile;
	}
	public String getFax () {
		return this.Fax;
	}
	public String getEmail () {
		return this.Email;
	}
	public String getAddress () {
		return this.Address;
	}
}
