/**
 * Utilizable Interface to be implemented differently by all school resources, such teachers(Lecturers and TAs), rooms, courses to calculate 
 * number of hours worked or used per week, month, and year. This will enable generic programming to calculate school resource utilisation reports.
 * 
 * Author: Dr. Manal Helal
 * Course: CS243 - Object Oriented Programming
 * Date: 29 December 2013
 * Revision 1
 * 
 * Simple File Manager for a small application to manage a school.
 * 
 * */

public interface Utilizable {
	int weeklyUtilisation ();
	int monthlyUtilisation ();
	int annualUtilisation ();

}
